Package org.eclipse.app4mc.amalthea.model.builder

## Class MappingBuilder

- Object
- - MappingBuilder

    public class MappingBuilder
    extends Object

### Constructor Summary

Constructors
`MappingBuilder()`

### Method Summary

All Methods
`void` `isrAllocation​(MappingModel container, Procedures.Procedure1<ISRAllocation> initializer)`
`MappingModel` `mappingModelRoot​(Procedures.Procedure1<MappingModel> initializer)`
`void` `memoryMapping​(MappingModel container, Procedures.Procedure1<MemoryMapping> initializer)`
`void` `physicalSectionMapping​(MappingModel container, Procedures.Procedure1<PhysicalSectionMapping> initializer)`
`void` `runnableAllocation​(MappingModel container, Procedures.Procedure1<RunnableAllocation> initializer)`
`void` `schedulerAllocation​(MappingModel container, Procedures.Procedure1<SchedulerAllocation> initializer)`
`void` `taskAllocation​(MappingModel container, Procedures.Procedure1<TaskAllocation> initializer)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MappingBuilder

    public MappingBuilder()

### Method Detail

#### mappingModelRoot

    public MappingModel mappingModelRoot​(Procedures.Procedure1<MappingModel> initializer)

#### isrAllocation

    public void isrAllocation​(MappingModel container,
                              Procedures.Procedure1<ISRAllocation> initializer)

#### taskAllocation

    public void taskAllocation​(MappingModel container,
                               Procedures.Procedure1<TaskAllocation> initializer)

#### runnableAllocation

    public void runnableAllocation​(MappingModel container,
                                   Procedures.Procedure1<RunnableAllocation> initializer)

#### schedulerAllocation

    public void schedulerAllocation​(MappingModel container,
                                    Procedures.Procedure1<SchedulerAllocation> initializer)

#### memoryMapping

    public void memoryMapping​(MappingModel container,
                              Procedures.Procedure1<MemoryMapping> initializer)

#### physicalSectionMapping

    public void physicalSectionMapping​(MappingModel container,
                                       Procedures.Procedure1<PhysicalSectionMapping> initializer)